# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-ExtUtils-Helpers
Version:	0.026
Release:	22.%{__distinit}%{__distvers}
Summary:	Various portability utilities for module builders
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/ExtUtils-Helpers
Source0:	https://cpan.metacpan.org/modules/by-module/ExtUtils/ExtUtils-Helpers-%{version}.tar.gz
BuildArch:	noarch
# Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module (File::Copy only needed for VMS support, not packaged)
BuildRequires:	perl(Carp)
BuildRequires:	perl(Config)
BuildRequires:	perl(Exporter) >= 5.57
BuildRequires:	perl(File::Basename)
BuildRequires:	perl(File::Spec::Functions)
BuildRequires:	perl(strict)
BuildRequires:	perl(Text::ParseWords) >= 3.24
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(Cwd)
BuildRequires:	perl(lib)
BuildRequires:	perl(Test::More)
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif

%description
This module provides various portable helper functions for module building
modules.

%prep
%setup -q -n ExtUtils-Helpers-%{version}

# Don't include VMS and Windows helpers, which may pull in unwelcome dependencies
rm -f lib/ExtUtils/Helpers/{VMS,Windows}.pm
perl -ni -e 'print unless /^lib\/ExtUtils\/Helpers\/(VMS|Windows)\.pm$/;' MANIFEST

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/ExtUtils/
%{_mandir}/man3/ExtUtils::Helpers.3*
%{_mandir}/man3/ExtUtils::Helpers::Unix.3*

%changelog
* Mon Apr 10 2023 Paul Howarth <paul@city-fan.org> - 0.026-22
- Use SPDX-format license tag
- Use %%license unconditionally

* Tue Jun  4 2019 Paul Howarth <paul@city-fan.org> - 0.026-10
- Perl 5.30 rebuild

* Mon Nov 19 2018 Paul Howarth <paul@city-fan.org> - 0.026-8
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section

* Sat Sep 10 2016 Paul Howarth <paul@city-fan.org> - 0.026-1
- Update to 0.026
  - Fix Win32 dependency

* Fri Sep  2 2016 Paul Howarth <paul@city-fan.org> - 0.025-1
- Update to 0.025
  - Make split_like_shell always unixy
  - Remove Module::Load dependency
  - Remove done_testing; it requires Test::More 0.88
- Drop VMS and Windows versions to avoid unwelcome dependencies
- Drop now-redundant patch for building with Test::More < 0.88

* Mon Aug 22 2016 Paul Howarth <paul@city-fan.org> - 0.022-10
- BR: perl-generators where available
- Simplify find command using -delete

* Thu Sep 11 2014 Paul Howarth <paul@city-fan.org> - 0.022-4
- Drop support for building with ExtUtils::MakeMaker < 6.30
- Drop support for building with Text::ParseWords < 3.24
- Drop %%defattr, redundant since rpm 4.4
- Use %%license where possible

* Fri Mar  7 2014 Paul Howarth <paul@city-fan.org> - 0.022-1
- Update to 0.022
  - Cleaned up remains of former functions
  - Skip IO layers on <5.8 for 5.6 compatibility
  - Don't swallow pl2bat exceptions
- Update patch for using Text::ParseWords < 3.24

* Sat Jul 20 2013 Paul Howarth <paul@city-fan.org> - 0.021-2
- Perl 5.18 rebuild

* Tue May  7 2013 Paul Howarth <paul@city-fan.org> - 0.021-1
- Update to 0.021
  - Always use the right environmental variable for home directory
  - Use configuration provided manpage extension
- Update patch for building with Test::More < 0.88

* Mon Apr 29 2013 Paul Howarth <paul@city-fan.org> - 0.020-1
- Update to 0.020
  - Fix man3_pagename for top level domains
- Update patch for building with Test::More < 0.88

* Wed Apr 24 2013 Paul Howarth <paul@city-fan.org> - 0.019-1
- Update to 0.019
  - Fix make_executable for '#!/usr/bin/perl'

* Tue Apr 16 2013 Paul Howarth <paul@city-fan.org> - 0.018-1
- Update to 0.018
  - Don't need Pod::Man
- Drop BR: perl(Pod::Man), no longer used

* Mon Apr 15 2013 Paul Howarth <paul@city-fan.org> - 0.017-1
- Update to 0.017
  - Fix man3_pagename to properly split dirs
- Update patch for building with Test::More < 0.88

* Sat Apr 13 2013 Paul Howarth <paul@city-fan.org> - 0.016-1
- Update to 0.016
  - Made man3_pagename more flexible with paths
  - Reverted pl2bat to a more original state
  - Rewrote fixin code
  - Re-added detildefy
  - Add some fixes to batch file generation
- BR: perl(Carp) and perl(Module::Load), now required by the module
- Drop BR: perl(Test::Kwalitee), no longer used
- Update patches

* Sun Mar 31 2013 Paul Howarth <paul@city-fan.org> - 0.014-1
- Initial RPM version
